
Redmine - Patch #28605

Add the missing icon class to the items with icons from the contextual menu

2018-04-23 07:33 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.0   

Description

In the contextual menu, the items with icons have only the 'icon-' class. The attached patch adds also the 'icon' class.

Related issues:

Related to Redmine - Patch #24313: Use the regular "icon icon-*" classes for ... Closed

Related to Redmine - Patch #12541: Add icon class to items in issues contextu... Closed

Related to Redmine - Defect #29602: Broken icons in context menu on  spent ti... Closed

Related to Redmine - Patch #31433: Use "icon icon-*" classes for sort-handler... Closed

Related to Redmine - Patch #33437: Add missing icon class to items with icon-... Closed

Associated revisions

Revision 17457 - 2018-08-01 04:25 - Go MAEDA

Add the missing icon class to the items with icons from the contextual menu (#28605).

Patch by Marius BALTEANU.

Revision 17481 - 2018-09-14 02:23 - Go MAEDA

Add "icon" class to items in time entries context menu (#28605).

Patch by Marius BALTEANU.

History

#1 - 2018-04-23 07:36 - Marius BĂLTEANU

- Related to Patch #24313: Use the regular "icon icon-*" classes for all elements with icons added

#2 - 2018-04-26 02:45 - Go MAEDA

- Target version set to 4.1.0

LGTM, setting target version to 4.1.0.

#3 - 2018-07-22 06:53 - Go MAEDA

- Related to Patch #12541: Add icon class to items in issues contextual menu when appropiate added

#4 - 2018-08-01 04:26 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for your contribution.

#5 - 2018-09-13 04:17 - Go MAEDA

- Related to Defect #29602: Broken icons in context menu on  spent time page added

#6 - 2019-05-27 21:42 - Marius BĂLTEANU

- Related to Patch #31433: Use "icon icon-*" classes for sort-handler, collapsible fieldsets and collapsible versions added
#7 - 2020-05-13 09:29 - Go MAEDA

- Related to Patch #33437: Add missing icon class to items with icon-checked class in the context menu added

Files

0001-add-missing-icon-class-in-contextual-menu.patch 3.47 KB 2018-04-23 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

